%global packname magrittr
%global packver 1.5

Name:             R-%{packname}
Version:          %{packver}
Release:          1%{?dist}
Source0:          ftp://cran.r-project.org/pub/R/contrib/main/%{packname}_%{packver}.tar.gz
License:          MIT
URL:              http://cran.r-project.org/web/packages/magrittr/index.html
Group:            Applications/Engineering
Summary:          Provides a mechanism for chaining commands with a new forward-pipe operator
BuildRequires:    R-devel >= 3.0.0, tetex-latex
# For tests
BuildRequires:    R-testthat
# Not in fedora yet
# BuildRequires:  R-knittr
BuildArch:        noarch
Requires:         R-core >= 3.0.0

%description
Provides a mechanism for chaining commands with a new forward-pipe operator. 
This operator will forward a value, or the result of an expression, into 
the next function call/expression. There is flexible support for the type of 
right-hand side expressions. For more information, see package vignette. To 
quote Rene Magritte, "Ceci n'est pas un pipe."

%prep
%setup -q -c -n %{packname}

%build

%install
mkdir -p $RPM_BUILD_ROOT%{_datadir}/R/library
%{_bindir}/R CMD INSTALL -l $RPM_BUILD_ROOT%{_datadir}/R/library %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf $RPM_BUILD_ROOT%{_datadir}/R/library/R.css

%check
# Can't run this yet, needs R-knittr.
%if 0
%{_bindir}/R CMD check %%{packname}
%endif

%files
%dir %{_datadir}/R/library/%{packname}
%doc %{_datadir}/R/library/%{packname}/LICENSE
%doc %{_datadir}/R/library/%{packname}/html
%{_datadir}/R/library/%{packname}/DESCRIPTION
%{_datadir}/R/library/%{packname}/INDEX
%{_datadir}/R/library/%{packname}/NAMESPACE
%{_datadir}/R/library/%{packname}/Meta
%{_datadir}/R/library/%{packname}/R
%{_datadir}/R/library/%{packname}/doc
%{_datadir}/R/library/%{packname}/help

%changelog
* Thu May 18 2017 Tom Callaway <spot@fedoraproject.org> - 1.5-1
- initial package
